commit:     a3f343fa0395f8b9628bcc7ec19222eea4194d45
Author:     Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Mon Mar  8 18:30:57 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Mar  8 18:30:59 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a3f343fa

www-apps/code-server-bin: bump to 3.9.1

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>

 www-apps/code-server-bin/Manifest                  |  2 +
 .../code-server-bin/code-server-bin-3.9.1.ebuild   | 90 ++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/www-apps/code-server-bin/Manifest 
b/www-apps/code-server-bin/Manifest
index 95b20ea4..01229225 100644
--- a/www-apps/code-server-bin/Manifest
+++ b/www-apps/code-server-bin/Manifest
@@ -2,3 +2,5 @@ DIST code-server-3.8.1-linux-amd64.tar.gz 78975468 BLAKE2B 
d4f6424108b0cd4cb46ba
 DIST code-server-3.8.1-linux-arm64.tar.gz 78056961 BLAKE2B 
0311b5a07d6047f8ff795a0001f04ad824a940e79d87b23d58cc0fa27d04e1653f33a19016406ffcabbd3dabe4df512ee27ad58b7b6dc341517cd7e6845540b7
 SHA512 
a08308531ff8665f3b83dd6f37a9d668aa73b08ae7652193dc8e842c76982864701989b1713246e3d64a87b0b942a1b426da0170841da17d6ca6782a78850111
 DIST code-server-3.9.0-linux-amd64.tar.gz 79632197 BLAKE2B 
cc0aa63cbeb5ff4d5a524c44554f72cdb4e0a8c48d6be8ac0942736994481fed3a5d30970091f1790b47edbae8e91a4c5ce50055761654f4129c583b0b930ea4
 SHA512 
46f9e24bdaef075f06ab487ada24910a6fdd7b68a23beddefd049ae4735e8cb16a6bccd014ac7227fe70df95aaf83e1e7a271a01c5b1efa0677f872c7484322e
 DIST code-server-3.9.0-linux-arm64.tar.gz 78939000 BLAKE2B 
fef14756b2d55cad2899dad7ec7332f753e18134f92c199f3e4d403880577c85a7772bdd56f71a0e8c3c38541e44a618fa9926b428a90f39f06c80ee6a5c4720
 SHA512 
e3f06076f70ceddd5a350e384c5fe1a8b23845a0ab6c6469ffabc2fe781cefd0bdbda6426196bee4e7cd6a2902b780b22aaae69fe25cf49b8e98374515ae055c
+DIST code-server-3.9.1-linux-amd64.tar.gz 69783057 BLAKE2B 
0008d5967cb9b58129e4ab21e1fa0c10f72611652f50991ff6657870a5e6c315872c05f6612d108454b5ca4dd5c9848470ff34846f06181ff1b6ac98a05496e3
 SHA512 
66a38c12b4a0c2494195f8e233942c49be23b3586140e901ff50cd6b507a092ca39a09b77fed3723710ea4099b6489f8d23b3a680b028e4bf920095bf314aa1d
+DIST code-server-3.9.1-linux-arm64.tar.gz 69101049 BLAKE2B 
57f1b32f8b4385bb7c749d701ded90a7cb82ab1f6ceb052e589720221bd41a2620a63c9f88517de9962771c858d6aca12273c3e70fad56e3b247e2c5f6178375
 SHA512 
1e5629ec3f7ffe9279d89099ae5c111358e41e481eb2df659e45a7ad4b6c340ed5b59b9f818df8857cdfe2b4c2d509d193c6c5f1f15217e6b8aaa5b21a7af1f9

diff --git a/www-apps/code-server-bin/code-server-bin-3.9.1.ebuild 
b/www-apps/code-server-bin/code-server-bin-3.9.1.ebuild
new file mode 100644
index 00000000..543e268b
--- /dev/null
+++ b/www-apps/code-server-bin/code-server-bin-3.9.1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="${PN/-bin/}"
+MY_P="${MY_PN}-${PV}"
+BASE_URI="https://github.com/cdr/${MY_PN}/releases/download/v${PV}/${MY_P}-linux";
+
+inherit systemd
+
+DESCRIPTION="VS Code in the browser (binary version with unbundled node and 
ripgrep)"
+HOMEPAGE="https://coder.com/";
+SRC_URI="
+       amd64? ( ${BASE_URI}-amd64.tar.gz )
+       arm64? ( ${BASE_URI}-arm64.tar.gz )
+"
+
+RESTRICT="test"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~arm64"
+IUSE="gnome-keyring"
+
+# In case we ever make a non-"-binary" pkg
+DEPEND="
+       !www-apps/code-server
+"
+RDEPEND="
+       ${DEPEND}
+       >=net-libs/nodejs-12.16.1:0/12[ssl]
+       sys-apps/ripgrep
+       gnome-keyring? (
+               app-crypt/libsecret
+       )
+"
+
+S="${WORKDIR}/${MY_P}-linux-${ARCH}"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-node.patch"
+)
+
+DOCS=( README.md ThirdPartyNotices.txt )
+
+src_prepare() {
+       default
+
+       # We remove as much precompiled code as we can,
+       # node modules not written in JS cannot be removed
+       # thus "-bin".
+
+       # use system node
+       rm ./node ./lib/node \
+               || die "failed to remove bundled nodejs"
+
+       # remove bundled ripgrep binary
+       rm ./lib/vscode/node_modules/vscode-ripgrep/bin/rg \
+               || die "failed to remove bundled ripgrep"
+
+       # not needed
+       rm ./code-server || die
+       rm ./postinstall.sh || die
+
+       # already in /usr/portage/licenses/MIT
+       rm ./LICENSE.txt || die
+
+       if ! use gnome-keyring; then
+               rm -r ./lib/vscode/node_modules/keytar \
+                       || die "failed to remove bundled keytar"
+       fi
+}
+
+src_install() {
+       einstalldocs
+
+       insinto "/usr/lib/${MY_PN}"
+       doins -r .
+       fperms +x "${EPREFIX}/usr/lib/${MY_PN}/bin/${MY_PN}"
+       dosym "${EPREFIX}/usr/lib/${MY_PN}/bin/${MY_PN}" 
"${EPREFIX}/usr/bin/${MY_PN}"
+
+       dosym "${EPREFIX}/usr/bin/rg" 
"${EPREFIX}/usr/lib/${MY_PN}/lib/vscode/node_modules/vscode-ripgrep/bin/rg"
+
+       systemd_dounit "${FILESDIR}/${MY_PN}.service"
+}
+
+pkg_postinst() {
+       elog "When using code-server systemd service run it as a user"
+       elog "For example: 'systemctl --user enable --now code-server'"
+}

Reply via email to